<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String iconURL = HtmlUtil.escape(ParamUtil.getString(request, "iconURL"));
%>

<clay:sticker
	cssClass="search-container"
	displaytype="secondary"
>
	<c:choose>
		<c:when test='<%= iconURL.contains(".svg#") %>'>
			<svg class="lexicon-icon">
				<use xlink:href="<%= iconURL %>" />
			</svg>
		</c:when>
		<c:when test="<%= Validator.isUrl(iconURL) %>">
			<img alt="thumbnail" class="img-fluid" src="<%= iconURL %>" />
		</c:when>
	</c:choose>
</clay:sticker>