<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<portlet:actionURL name="installRemoteApp" var="installRemoteAppURL" />

<aui:form action="<%= installRemoteAppURL %>" cssClass="container-fluid container-fluid-max-xl container-view" method="post" name="fm">
	<aui:input name="mvcPath" type="hidden" value="/install_remote_app.jsp" />

	<clay:sheet>
		<c:if test="<%= CompanyLocalServiceUtil.getCompaniesCount(false) > 1 %>">
			<div class="alert alert-info">
				<liferay-ui:message key="installed-apps-are-available-to-all-portal-instances.-go-to-plugins-configuration-within-each-portal-instance-to-enable-disable-each-app" />
			</div>
		</c:if>

		<liferay-ui:error key="invalidURL" message="please-enter-a-valid-url" />

		<liferay-ui:success key="pluginDownloaded" message="the-plugin-was-downloaded-successfully-and-is-now-being-installed" />

		<aui:input cssClass="file-input" name="url" type="text" />

		<clay:sheet-footer>
			<aui:button type="submit" value="install" />
		</clay:sheet-footer>
	</clay:sheet>
</aui:form>