<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-ui:icon
	message="upload"
	onClick='<%= liferayPortletResponse.getNamespace() + "uploadUrlLink();" %>'
	url="javascript:;"
/>

<aui:script>
	function <portlet:namespace />uploadUrlLink() {
		Liferay.Util.openWindow({
			dialog: {
				destroyOnHide: true,
			},
			title: '<liferay-ui:message key="upload" />',
			uri:
				'<liferay-portlet:renderURL windowState="<%= LiferayWindowState.POP_UP.toString() %>"><portlet:param name="mvcPath" value="/install_local_app.jsp" /></liferay-portlet:renderURL>',
		});
	}
</aui:script>